'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cliEngineHeroku = require('cli-engine-heroku');

var _credentials = require('../credentials');

var _credentials2 = _interopRequireDefault(_credentials);

var _child_process = require('child_process');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class MysqlCommand extends _cliEngineHeroku.Command {

  async run() {
    var config = await this.heroku.get(`/apps/${this.flags.app}/config-vars`);
    let cred = (0, _credentials2.default)(config);
    let cmd = `mysql -A -u ${cred.user} -p${cred.pwd} -h ${cred.host} ${cred.database}`;
    (0, _child_process.execSync)(cmd, { stdio: 'inherit' });
  }
}
exports.default = MysqlCommand;
MysqlCommand.topic = 'pocus';
MysqlCommand.command = 'mysql';
MysqlCommand.description = 'Opens a mysql shell, connected to the Heroku app database.';
MysqlCommand.flags = {
  app: _cliEngineHeroku.flags.app({ required: true })
};