'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _cliEngineHeroku = require('cli-engine-heroku');

var _credentials = require('../credentials');

var _credentials2 = _interopRequireDefault(_credentials);

var _child_process = require('child_process');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

class MysqlDumpCommand extends _cliEngineHeroku.Command {

  async run() {
    const config = await this.heroku.get(`/apps/${this.flags.app}/config-vars`);
    let cred = (0, _credentials2.default)(config);
    let tables = this.args.tables || '';
    let cmd = `mysqldump --single-transaction -u ${cred.user} -p${cred.pwd} -h ${cred.host} ${cred.database} ${tables}`;
    (0, _child_process.execSync)(cmd, { stdio: 'inherit' });
  }
}
exports.default = MysqlDumpCommand;
MysqlDumpCommand.topic = 'pocus';
MysqlDumpCommand.command = 'mysqldump';
MysqlDumpCommand.description = 'Executes a mysqldump, connected to the Heroku app database.';
MysqlDumpCommand.flags = {
  app: _cliEngineHeroku.flags.app({ required: true })
};
MysqlDumpCommand.args = [{ name: 'tables', optional: true }];