'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _url = require('url');

var _url2 = _interopRequireDefault(_url);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = config => {
  let dburl = '';
  if (config.hasOwnProperty('DATABASE_URL')) {
    dburl = config.DATABASE_URL;
  } else if (config.hasOwnProperty('JAWSDB_URL')) {
    dburl = config.JAWSDB_URL;
  } else if (config.hasOwnProperty('CLEARDB_URL')) {
    dburl = config.CLEARDB_URL;
  }
  let u = _url2.default.parse(dburl);
  let [user, pwd] = u.auth.split(':', 2);
  let path = u.path.replace(/\//, '');

  return { user, pwd, host: u.hostname, database: path };
};